Name:		oprofileui
Version:	0.2.0
Release:	5%{?dist}
Summary:	GTK2 user interface for oprofile
License:	GPLv2
Group:		User Interface/Desktops
URL:		http://labs.o-hand.com/oprofileui/
Source0:	http://labs.o-hand.com/sources/oprofileui/oprofileui-%{version}.tar.gz
Patch0:         oprofileui-0.2.0-add-needed.patch
Patch1:         oprofileui-0.2.0-memset.patch
BuildRequires:	autoconf automake libtool intltool
BuildRequires:	avahi-devel avahi-glib-devel gtk2-devel desktop-file-utils
BuildRequires:	libglade2-devel libxml-devel gnome-vfs2-devel GConf2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	avahi oprofile gnome-vfs2 GConf2

%description
This is a GTK2 user interface for the oprofile performance profiling tool.

%prep
%setup -q
%patch0 -p1 -b .add-needed
%patch1 -p1 -b .memset

%build
aclocal
autoconf
automake --add-missing
%configure --bindir=%{_bindir} --docdir=%{_docdir}/%{name} --with-avahi
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} INSTALL='%{__install} -p' install
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	--add-category X-Fedora				\
	--delete-original				\
	%{buildroot}/%{_datadir}/applications/oprofile-viewer.desktop
rm -rf %{buildroot}/%{_docdir}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/oprofile-server
%{_bindir}/oprofile-viewer
%{_bindir}/oparchconv
%{_datadir}/applications/oprofile-viewer.desktop
%{_datadir}/icons/hicolor/scalable/apps/oprofile-viewer.svg
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/oprofileui/oprofile-viewer.glade

%clean
rm -rf %{buildroot} 

%changelog
* Tue Feb 16 2010 Adam Jackson <ajax@redhat.com> 0.2.0-5
- oprofileui-0.2.0-add-needed.patch: Fix FTBFS from --no-add-needed
- oprofileui-0.2.0-memset.patch: Fix swapped args to memset()

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 30 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.2.0-2
- add desktop-file-utils
- remove vendor in desktop-file-install
- remove libglade2 and libxml from reqs (picked up by rpm)
- fix macro usage
- fix timestamp on sources and installed files
- fix docs
- add %%post/%%postun scripts
- license is GPLv2

* Sat Apr 12 2008 Dave Jones <davej@redhat.com> - 0.2.0-1
- Initial packaging.
